Manifest-Version: 1.0
Bnd-LastModified: 1742261237969
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Object Admin REST Implementation
Bundle-SymbolicName: com.liferay.object.admin.rest.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 1.0.56.hotfix-6515-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.list.type.model;version="2.0",com.liferay.
 list.type.service;version="1.3",com.liferay.object.admin.rest.dto.v1_
 0;version="5.1",com.liferay.object.admin.rest.dto.v1_0.util;version="
 2.2",com.liferay.object.admin.rest.resource.v1_0;version="5.0",com.li
 feray.object.admin.rest.resource.v1_0.util;version="1.0",com.liferay.
 object.exception;version="10.6",com.liferay.object.field.filter.parse
 r;version="2.0",com.liferay.object.model;version="6.1",com.liferay.ob
 ject.service;version="27.0",com.liferay.object.service.persistence;ve
 rsion="4.0",com.liferay.object.system;version="7.0",com.liferay.objec
 t.util;version="3.5",com.liferay.petra.function;version="1.5",com.lif
 eray.portal.kernel.exception;version="12.2",com.liferay.portal.kernel
 .json;version="10.1",com.liferay.portal.kernel.language;version="11.0
 ",com.liferay.portal.kernel.log;version="7.1",com.liferay.portal.kern
 el.model;version="20.0",com.liferay.portal.kernel.search;version="13.
 0",com.liferay.portal.kernel.search.filter;version="1.0",com.liferay.
 portal.kernel.security.auth;version="5.0",com.liferay.portal.kernel.s
 ecurity.permission;version="6.1",com.liferay.portal.kernel.security.p
 ermission.resource;version="2.1",com.liferay.portal.kernel.service;ve
 rsion="15.0",com.liferay.portal.kernel.util;version="40.2",com.lifera
 y.portal.kernel.workflow;version="16.0",com.liferay.portal.language,c
 om.liferay.portal.odata.entity;version="2.0",com.liferay.portal.odata
 .filter;version="1.1",com.liferay.portal.odata.filter.expression;vers
 ion="2.1",com.liferay.portal.util;version="34.3",com.liferay.portal.v
 ulcan.accept.language;version="1.1",com.liferay.portal.vulcan.aggrega
 tion;version="1.2",com.liferay.portal.vulcan.batch.engine;version="2.
 0",com.liferay.portal.vulcan.batch.engine.resource;version="1.0",com.
 liferay.portal.vulcan.dto.converter;version="1.8",com.liferay.portal.
 vulcan.fields;version="1.5",com.liferay.portal.vulcan.graphql.annotat
 ion;version="1.2",com.liferay.portal.vulcan.graphql.servlet;version="
 1.1",com.liferay.portal.vulcan.jaxrs.exception.mapper;version="1.2",c
 om.liferay.portal.vulcan.pagination;version="1.4",com.liferay.portal.
 vulcan.resource;version="1.3",com.liferay.portal.vulcan.util;version=
 "3.5",io.swagger.v3.oas.annotations;version="2.0",io.swagger.v3.oas.a
 nnotations.enums;version="2.0",io.swagger.v3.oas.annotations.info;ver
 sion="2.0",io.swagger.v3.oas.annotations.tags;version="2.0",javax.ser
 vlet.http,javax.validation.constraints;version="2.0",javax.ws.rs;vers
 ion="2.1",javax.ws.rs.core;version="2.1",javax.ws.rs.ext;version="2.1
 ",org.osgi.framework;version="1.8",org.osgi.service.component;version
 ="1.4"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Object
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.object.admin.rest.internal.dto.v1_0.conve
 rter,com.liferay.object.admin.rest.internal.dto.v1_0.util,com.liferay
 .object.admin.rest.internal.graphql.mutation.v1_0,com.liferay.object.
 admin.rest.internal.graphql.query.v1_0,com.liferay.object.admin.rest.
 internal.graphql.servlet.v1_0,com.liferay.object.admin.rest.internal.
 jaxrs.application,com.liferay.object.admin.rest.internal.jaxrs.except
 ion.mapper,com.liferay.object.admin.rest.internal.odata.entity.v1_0,c
 om.liferay.object.admin.rest.internal.resource.v1_0,com.liferay.objec
 t.admin.rest.internal.resource.v1_0.factory,com.liferay.object.admin.
 rest.internal.security.permission
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .object.admin.rest.internal.dto.v1_0.converter.ObjectFieldDTOConverte
 r,com.liferay.portal.vulcan.dto.converter.DTOConverter";uses:="com.li
 feray.object.admin.rest.internal.dto.v1_0.converter,com.liferay.porta
 l.vulcan.dto.converter",osgi.service;objectClass:List<String>="com.li
 feray.object.admin.rest.internal.dto.v1_0.converter.ObjectViewDTOConv
 erter,com.liferay.portal.vulcan.dto.converter.DTOConverter";uses:="co
 m.liferay.object.admin.rest.internal.dto.v1_0.converter,com.liferay.p
 ortal.vulcan.dto.converter",osgi.service;objectClass:List<String>="co
 m.liferay.object.admin.rest.internal.resource.v1_0.OpenAPIResourceImp
 l";uses:="com.liferay.object.admin.rest.internal.resource.v1_0",osgi.
 service;objectClass:List<String>="com.liferay.object.admin.rest.resou
 rce.v1_0.ObjectActionResource$Factory";uses:="com.liferay.object.admi
 n.rest.resource.v1_0",osgi.service;objectClass:List<String>="com.life
 ray.object.admin.rest.resource.v1_0.ObjectActionResource,com.liferay.
 portal.vulcan.fields.NestedFieldSupport";uses:="com.liferay.object.ad
 min.rest.resource.v1_0,com.liferay.portal.vulcan.fields",osgi.service
 ;objectClass:List<String>="com.liferay.object.admin.rest.resource.v1_
 0.ObjectDefinitionResource";uses:="com.liferay.object.admin.rest.reso
 urce.v1_0",osgi.service;objectClass:List<String>="com.liferay.object.
 admin.rest.resource.v1_0.ObjectDefinitionResource$Factory";uses:="com
 .liferay.object.admin.rest.resource.v1_0",osgi.service;objectClass:Li
 st<String>="com.liferay.object.admin.rest.resource.v1_0.ObjectFieldRe
 source$Factory";uses:="com.liferay.object.admin.rest.resource.v1_0",o
 sgi.service;objectClass:List<String>="com.liferay.object.admin.rest.r
 esource.v1_0.ObjectFieldResource,com.liferay.portal.vulcan.fields.Nes
 tedFieldSupport";uses:="com.liferay.object.admin.rest.resource.v1_0,c
 om.liferay.portal.vulcan.fields",osgi.service;objectClass:List<String
 >="com.liferay.object.admin.rest.resource.v1_0.ObjectLayoutResource";
 uses:="com.liferay.object.admin.rest.resource.v1_0",osgi.service;obje
 ctClass:List<String>="com.liferay.object.admin.rest.resource.v1_0.Obj
 ectLayoutResource$Factory";uses:="com.liferay.object.admin.rest.resou
 rce.v1_0",osgi.service;objectClass:List<String>="com.liferay.object.a
 dmin.rest.resource.v1_0.ObjectRelationshipResource$Factory";uses:="co
 m.liferay.object.admin.rest.resource.v1_0",osgi.service;objectClass:L
 ist<String>="com.liferay.object.admin.rest.resource.v1_0.ObjectRelati
 onshipResource,com.liferay.portal.vulcan.fields.NestedFieldSupport";u
 ses:="com.liferay.object.admin.rest.resource.v1_0,com.liferay.portal.
 vulcan.fields",osgi.service;objectClass:List<String>="com.liferay.obj
 ect.admin.rest.resource.v1_0.ObjectValidationRuleResource";uses:="com
 .liferay.object.admin.rest.resource.v1_0",osgi.service;objectClass:Li
 st<String>="com.liferay.object.admin.rest.resource.v1_0.ObjectValidat
 ionRuleResource$Factory";uses:="com.liferay.object.admin.rest.resourc
 e.v1_0",osgi.service;objectClass:List<String>="com.liferay.object.adm
 in.rest.resource.v1_0.ObjectViewResource";uses:="com.liferay.object.a
 dmin.rest.resource.v1_0",osgi.service;objectClass:List<String>="com.l
 iferay.object.admin.rest.resource.v1_0.ObjectViewResource$Factory";us
 es:="com.liferay.object.admin.rest.resource.v1_0",osgi.service;object
 Class:List<String>="com.liferay.portal.vulcan.graphql.servlet.Servlet
 Data";uses:="com.liferay.portal.vulcan.graphql.servlet",osgi.service;
 objectClass:List<String>="javax.ws.rs.core.Application";uses:="javax.
 ws.rs.core",osgi.service;objectClass:List<String>="javax.ws.rs.ext.Ex
 ceptionMapper";uses:="javax.ws.rs.ext"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.obj
 ect.admin.rest.internal.dto.v1_0.converter.ObjectFieldDTOConverter)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.obje
 ct.admin.rest.internal.dto.v1_0.converter.ObjectViewDTOConverter)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.object
 .admin.rest.resource.v1_0.ObjectActionResource)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.object.admin.rest.resour
 ce.v1_0.ObjectDefinitionResource)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.object.admin.rest.resource.v1_0.Object
 FieldResource)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.object.admin.rest.resource.v1_0.ObjectLayoutResource)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.object
 .admin.rest.resource.v1_0.ObjectRelationshipResource)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.object.admin.rest.
 resource.v1_0.ObjectValidationRuleResource)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.object.admin.rest.resource.v
 1_0.ObjectViewResource)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.object.field.filter.parser.ObjectFieldFilterPars
 erTracker)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.object.service.ObjectActionLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.object.service.ObjectAc
 tionService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.object.service.ObjectDefinitionLocalService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.object.service.Ob
 jectDefinitionService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.object.service.ObjectFieldLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.object.servi
 ce.ObjectFieldService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.object.service.ObjectFieldSettingLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.objec
 t.service.ObjectFilterLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.object.service.ObjectLayoutLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.object.service.ObjectLayoutService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.object.service.ObjectRelationshipS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.object.service.ObjectValidationRuleService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.object.service.ObjectVi
 ewLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.object.service.ObjectViewService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.object.service.persistenc
 e.ObjectLayoutBoxPersistence)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.object.service.persistence.ObjectLayoutCol
 umnPersistence)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.object.service.persistence.ObjectLayoutRowPersistence)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.obje
 ct.service.persistence.ObjectLayoutTabPersistence)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.object.service.persis
 tence.ObjectViewColumnPersistence)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.object.service.persistence.ObjectView
 FilterColumnPersistence)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.object.service.persistence.ObjectViewSortColumn
 Persistence)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.object.system.SystemObjectDefinitionMetadataTracker)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.json.JSONFactory)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.language.Language)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.secur
 ity.permission.PermissionCheckerFactory)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.service.CompanyLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.service.GroupLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.
 ResourceActionLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.ResourcePermissionLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.service.RoleLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.service.Use
 rLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.odata.filter.ExpressionConvert)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.odata.filter.F
 ilterParserProvider)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.vulcan.resource.OpenAPIResource)";effective:
 =active,osgi.extender;filter:="(&(osgi.extender=osgi.component)(versi
 on>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contract=JavaServl
 et;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;fi
 lter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.object.admin.rest.internal.dto
 .v1_0.converter.ObjectFieldDTOConverter.xml,OSGI-INF/com.liferay.obje
 ct.admin.rest.internal.dto.v1_0.converter.ObjectViewDTOConverter.xml,
 OSGI-INF/com.liferay.object.admin.rest.internal.graphql.servlet.v1_0.
 ServletDataImpl.xml,OSGI-INF/com.liferay.object.admin.rest.internal.j
 axrs.application.ObjectAdminRESTApplication.xml,OSGI-INF/com.liferay.
 object.admin.rest.internal.jaxrs.exception.mapper.DefaultObjectLayout
 ExceptionMapper.xml,OSGI-INF/com.liferay.object.admin.rest.internal.j
 axrs.exception.mapper.DefaultObjectViewExceptionMapper.xml,OSGI-INF/c
 om.liferay.object.admin.rest.internal.jaxrs.exception.mapper.Duplicat
 eObjectFieldExternalReferenceCodeExceptionMapper.xml,OSGI-INF/com.lif
 eray.object.admin.rest.internal.jaxrs.exception.mapper.ObjectActionCo
 nditionExpressionExceptionMapper.xml,OSGI-INF/com.liferay.object.admi
 n.rest.internal.jaxrs.exception.mapper.ObjectActionExecutorKeyExcepti
 onMapper.xml,OSGI-INF/com.liferay.object.admin.rest.internal.jaxrs.ex
 ception.mapper.ObjectActionNameExceptionMapper.xml,OSGI-INF/com.lifer
 ay.object.admin.rest.internal.jaxrs.exception.mapper.ObjectActionPara
 metersExceptionMapper.xml,OSGI-INF/com.liferay.object.admin.rest.inte
 rnal.jaxrs.exception.mapper.ObjectActionTriggerKeyExceptionMapper.xml
 ,OSGI-INF/com.liferay.object.admin.rest.internal.jaxrs.exception.mapp
 er.ObjectDefinitionNameExceptionMapper.xml,OSGI-INF/com.liferay.objec
 t.admin.rest.internal.jaxrs.exception.mapper.ObjectDefinitionStorageT
 ypeExceptionMapper.xml,OSGI-INF/com.liferay.object.admin.rest.interna
 l.jaxrs.exception.mapper.ObjectFieldBusinessTypeExceptionMapper.xml,O
 SGI-INF/com.liferay.object.admin.rest.internal.jaxrs.exception.mapper
 .ObjectFieldDBTypeExceptionMapper.xml,OSGI-INF/com.liferay.object.adm
 in.rest.internal.jaxrs.exception.mapper.ObjectFieldNameExceptionMappe
 r.xml,OSGI-INF/com.liferay.object.admin.rest.internal.jaxrs.exception
 .mapper.ObjectFieldSettingNameExceptionMapper.xml,OSGI-INF/com.lifera
 y.object.admin.rest.internal.jaxrs.exception.mapper.ObjectFieldSettin
 gValueExceptionMapper.xml,OSGI-INF/com.liferay.object.admin.rest.inte
 rnal.jaxrs.exception.mapper.ObjectRelationshipNameExceptionMapper.xml
 ,OSGI-INF/com.liferay.object.admin.rest.internal.jaxrs.exception.mapp
 er.ObjectRelationshipReverseExceptionMapper.xml,OSGI-INF/com.liferay.
 object.admin.rest.internal.jaxrs.exception.mapper.ObjectScopeExceptio
 nMapper.xml,OSGI-INF/com.liferay.object.admin.rest.internal.jaxrs.exc
 eption.mapper.ObjectValidationRuleScriptExceptionMapper.xml,OSGI-INF/
 com.liferay.object.admin.rest.internal.resource.v1_0.ObjectActionReso
 urceImpl.xml,OSGI-INF/com.liferay.object.admin.rest.internal.resource
 .v1_0.ObjectDefinitionResourceImpl.xml,OSGI-INF/com.liferay.object.ad
 min.rest.internal.resource.v1_0.ObjectFieldResourceImpl.xml,OSGI-INF/
 com.liferay.object.admin.rest.internal.resource.v1_0.ObjectLayoutReso
 urceImpl.xml,OSGI-INF/com.liferay.object.admin.rest.internal.resource
 .v1_0.ObjectRelationshipResourceImpl.xml,OSGI-INF/com.liferay.object.
 admin.rest.internal.resource.v1_0.ObjectValidationRuleResourceImpl.xm
 l,OSGI-INF/com.liferay.object.admin.rest.internal.resource.v1_0.Objec
 tViewResourceImpl.xml,OSGI-INF/com.liferay.object.admin.rest.internal
 .resource.v1_0.OpenAPIResourceImpl.xml,OSGI-INF/com.liferay.object.ad
 min.rest.internal.resource.v1_0.factory.ObjectActionResourceFactoryIm
 pl.xml,OSGI-INF/com.liferay.object.admin.rest.internal.resource.v1_0.
 factory.ObjectDefinitionResourceFactoryImpl.xml,OSGI-INF/com.liferay.
 object.admin.rest.internal.resource.v1_0.factory.ObjectFieldResourceF
 actoryImpl.xml,OSGI-INF/com.liferay.object.admin.rest.internal.resour
 ce.v1_0.factory.ObjectLayoutResourceFactoryImpl.xml,OSGI-INF/com.life
 ray.object.admin.rest.internal.resource.v1_0.factory.ObjectRelationsh
 ipResourceFactoryImpl.xml,OSGI-INF/com.liferay.object.admin.rest.inte
 rnal.resource.v1_0.factory.ObjectValidationRuleResourceFactoryImpl.xm
 l,OSGI-INF/com.liferay.object.admin.rest.internal.resource.v1_0.facto
 ry.ObjectViewResourceFactoryImpl.xml
Tool: Bnd-4.3.0.201909301554

